
/**
 * A list of Scribbles!
 * 
 * @author Jim Teresco and CSC 252 class, Fall 2013 
 */

import objectdraw.*;
import java.awt.*;

public class ScribbleList {

    private Scribble first;
    private ScribbleList rest;
    
    public ScribbleList(Scribble first, ScribbleList rest){
    
        this.first = first;
        this.rest = rest;
    }

    // return the Scribble in the list that contains the given point
    // and null if no Scribble contains the point
    public Scribble whichContains(Location point) {
        
        // an empty ScribbleList can't have a Scribble
        // that contains the point
        if (first == null) return null;
        
        // does the first Scribble contain the point?
        if (first.contains(point)) return first;
        
        return rest.whichContains(point);
    }
}
